Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008587Dwarf FortressDwarf Mode -- Jobs, Generalpublic2014-11-26 16:372017-12-04 08:25
Assigned ToLoci 
PlatformOSOS Version
Product Version0.40.17 
Target VersionFixed in Version 
Summary0008587: Dorfs won't dig down into a ramp on a level divisible by 16
DescriptionI had some dorfs digging a grand trade caravan route that spirals down to the magma forges. Usually when a corridor is designated next to a ramp on the next floor down, the dorfs follow through to the next level... unless it is divisible by 16 (as counted from the top). Then, each time, they fail to continue unless a channel is designated on the level above the ramp. (i.e. if the ramp is designated on level 48, they will ignore it, but channel down from level 49) They will still dig ramps from the side on these levels, just not from above.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
smjjames (reporter)
2014-11-26 20:17
edited on: 2014-11-26 20:19

Does this reproduce in 40.19? There's a bunch of compilation issues in 40.17 that could cause this and they were fixed in 40.18 plus some others that stuck around in 40.18 were fixed in 40.19.

Dwarfu (manager)
2017-12-02 09:44

Reminder sent to: Twiddledee

Do you have a save from that version that demonstrates this problem? Have you been able to reproduce this in any new version?
Loci (manager)
2017-12-04 08:25

This bug is reproducible in the reported version but no longer occurs in v0.44.02, so we'll call it a mystery fix.

- Issue History
Date Modified Username Field Change
2014-11-26 16:37 Twiddledee New Issue
2014-11-26 20:17 smjjames Note Added: 0031197
2014-11-26 20:19 smjjames Note Edited: 0031197 View Revisions
2017-12-02 09:44 Dwarfu Note Added: 0037186
2017-12-02 09:44 Dwarfu Assigned To => Dwarfu
2017-12-02 09:44 Dwarfu Status new => needs feedback
2017-12-04 08:25 Loci Note Added: 0037217
2017-12-04 08:25 Loci Status needs feedback => resolved
2017-12-04 08:25 Loci Resolution open => fixed
2017-12-04 08:25 Loci Assigned To Dwarfu => Loci

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker